package com.kingdee.eas.hr.project;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ProjectRoleFactory
{
    private ProjectRoleFactory()
    {
    }
    public static com.kingdee.eas.hr.project.IProjectRole getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectRole)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("2AC6A40E") ,com.kingdee.eas.hr.project.IProjectRole.class);
    }
    
    public static com.kingdee.eas.hr.project.IProjectRole getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectRole)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("2AC6A40E") ,com.kingdee.eas.hr.project.IProjectRole.class, objectCtx);
    }
    public static com.kingdee.eas.hr.project.IProjectRole getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectRole)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("2AC6A40E"));
    }
    public static com.kingdee.eas.hr.project.IProjectRole getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectRole)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("2AC6A40E"));
    }
}